org.h2.expression.analysis

## Enum WindowFrameBoundType

- java.lang.Object
- - java.lang.Enum<WindowFrameBoundType>
  - - org.h2.expression.analysis.WindowFrameBoundType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WindowFrameBoundType>

    public enum WindowFrameBoundType
    extends java.lang.Enum<WindowFrameBoundType>

Window frame bound type.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CURRENT_ROW` CURRENT_ROW clause.
`FOLLOWING` FOLLOWING clause.
`PRECEDING` PRECEDING clause.
`UNBOUNDED_FOLLOWING` UNBOUNDED FOLLOWING clause.
`UNBOUNDED_PRECEDING` UNBOUNDED PRECEDING clause.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getSQL()` Returns SQL representation.
`static WindowFrameBoundType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WindowFrameBoundType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### UNBOUNDED_PRECEDING

    public static final WindowFrameBoundType UNBOUNDED_PRECEDING

UNBOUNDED PRECEDING clause.

#### PRECEDING

    public static final WindowFrameBoundType PRECEDING

PRECEDING clause.

#### CURRENT_ROW

    public static final WindowFrameBoundType CURRENT_ROW

CURRENT_ROW clause.

#### FOLLOWING

    public static final WindowFrameBoundType FOLLOWING

FOLLOWING clause.

#### UNBOUNDED_FOLLOWING

    public static final WindowFrameBoundType UNBOUNDED_FOLLOWING

UNBOUNDED FOLLOWING clause.

### Method Detail

#### values

    public static WindowFrameBoundType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WindowFrameBoundType c : WindowFrameBoundType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WindowFrameBoundType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getSQL

    public java.lang.String getSQL()

Returns SQL representation.

Returns:
  SQL representation.
See Also:
  `Expression.getSQL(int)`